# Class SVGGraphicsDevice

java.lang.Object
java.awt.GraphicsDevice
org.jfree.svg.SVGGraphicsDevice

public class SVGGraphicsDevice extends GraphicsDevice
A graphics device for JFreeSVG.

## Nested Class Summary

### Nested classes/interfaces inherited from class GraphicsDevice

`GraphicsDevice.WindowTranslucency`

## Field Summary

### Fields inherited from class GraphicsDevice

`TYPE_IMAGE_BUFFER, TYPE_PRINTER, TYPE_RASTER_SCREEN`

## Constructor Summary

Constructors
Constructor
Description
`SVGGraphicsDevice(String id, GraphicsConfiguration defaultConfig)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`GraphicsConfiguration[]`
`getConfigurations()`
Returns all configurations for this device.
`GraphicsConfiguration`
`getDefaultConfiguration()`
Returns the default configuration for this device.
`String`
`getIDstring()`
Returns the id string.
`int`
`getType()`
Returns the device type.

### Methods inherited from class GraphicsDevice

`getAvailableAcceleratedMemory, getBestConfiguration, getDisplayMode, getDisplayModes, getFullScreenWindow, isDisplayChangeSupported, isFullScreenSupported, isWindowTranslucencySupported, setDisplayMode, setFullScreenWindow`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVGGraphicsDevice

public SVGGraphicsDevice(String id, GraphicsConfiguration defaultConfig)
Creates a new instance.

Parameters:
  `id` - the id.
  `defaultConfig` - the default configuration.

## Method Details

### getType

public int getType()
Returns the device type.

Specified by:
  `getType` in class `GraphicsDevice`
Returns:
  The device type.

### getIDstring

public String getIDstring()
Returns the id string.

Specified by:
  `getIDstring` in class `GraphicsDevice`
Returns:
  The id string.

### getConfigurations

public GraphicsConfiguration[] getConfigurations()
Returns all configurations for this device.

Specified by:
  `getConfigurations` in class `GraphicsDevice`
Returns:
  All configurations for this device.

### getDefaultConfiguration

public GraphicsConfiguration getDefaultConfiguration()
Returns the default configuration for this device.

Specified by:
  `getDefaultConfiguration` in class `GraphicsDevice`
Returns:
  The default configuration for this device.